[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TBufStream.BufferPos

Current buffer position.

## Declaration

Source position: bufstream.pp line 55

`public property TBufStream.BufferPos : Integer read FBufPos;`

## Description

BufPos is the current stream position in the buffer. Depending on whether the stream is used for reading or writing, data will be read from this position, or will be written at this position in the buffer.

## See also

TBufStream.Create |  | Create a new TBufStream instance.
TBufStream.Buffer |  | The current buffer
TBufStream.BufferSize |  | Amount of data in the buffer
TBufStream.Capacity |  | Current buffer capacity